with glfw3; use glfw3;
with gametypes; use gametypes;
with gl; use gl;


package gameutils is


	numerals: boolean := true;


function dumpGLerrorQueue(id: string) return integer;


	procedure handle_mouse(
		pick:boolean; 
		imin,imax: integer;
		isel: in out integer;
		centroid: gametypes.giparray;
		xcc,ycc,zcc: float
		);


procedure getKeyInputs( 
	mainWin : access GLFWwindow; 
	imin,imax : in integer;
	isel: in out integer;
	msel: out boolean );


procedure InitGLFW( 
	wid, hit : out glint; 
	fwd,fht : out glint; 
	name: string );

procedure updateMVP( wid,hit : float);

procedure myassert( condition : boolean;  flag: integer:=0 );

end gameutils;

